Bug 215864 - FEAT: RHEL5-B2-RC-x86_64: Yum repo for "customize later" missing.
FEAT: RHEL5-B2-RC-x86_64: Yum repo for "customize later" missing.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 21:06 EST by Jason Mack
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 14:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Mack 2006-11-15 21:06:12 EST
--Description of problem:
In current versions of RHEL5, both x86_64 and i386, yum has *no repos* listed
after install is through.  We think it is possible and request to populate a
file in /etc/yum.repos.d/ using the same path that we used for install.

We feel that this would be better for the customer than leaving yum.repos.d
empty.  It would also speed up testing, and other OS's support this type use of
path info from the initial install.

In fact, we noticed that there is no template file in yum.repos.d.  This, we
think is fixable by adding a file there with 'dummy' info during install.  To be
clear, "Customize later" is a feature of anaconda, that is really the same as
running yum after install.

--Version-Release number of selected component (if applicable):
n/a

--How reproducible:
All RHEL5 installs, Beta2-RC and before.  Using PXE boot from image server.

--Steps to Reproduce:
1.  Install OS
2.  Become root.
3.  run "yum install OpenIPMI-tools"
  
--Actual results:
No repos.

--Expected results:
Finds at least one repo, the one from which the install came.

--Additional info:
none at this time
Comment 1 Jeremy Katz 2006-11-16 14:55:13 EST
The default repo that's there is the one which accesses RHN (and it's setup via
plugin magic, not something in yum.repos.d)
Comment 2 Jason Mack 2006-11-17 15:06:35 EST
I can see that.  That explains why the dir is empty, RHN is not in the scope of
the test.

But about YaST's automatic and default ability to refer back to my install
source after installation (so I can install more stuff), is there some mechanism
that can enable yum or other software to do the same for RHEL5?
Comment 3 Jason Mack 2006-11-27 13:26:08 EST
Please re-open as a Feature Request.  Thanks!
Comment 4 Amit Bhutani 2006-11-29 18:52:09 EST
After internal discussions, we consider this request obsolete. This can remain
closed.

Note You need to log in before you can comment on or make changes to this bug.